using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace CWW
{
	/// <summary>
	/// Summary description for ActorConfirm.
	/// </summary>
	public class ActorConfirm : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label FirstName;
		protected System.Web.UI.WebControls.Label Address;
		protected System.Web.UI.WebControls.Label City;
		protected System.Web.UI.WebControls.Label ProvState;
		protected System.Web.UI.WebControls.Label Country;
		protected System.Web.UI.WebControls.Label PostalZip;
		protected System.Web.UI.WebControls.Label Email;
		protected System.Web.UI.WebControls.Label SIN;
		protected System.Web.UI.WebControls.Label Telephone;
		protected System.Web.UI.WebControls.Label Mobile;
		protected System.Web.UI.WebControls.Label Work;
		protected System.Web.UI.WebControls.Label Fax;
		protected System.Web.UI.WebControls.Label Smoking;
		protected System.Web.UI.WebControls.Label ContactName;
		protected System.Web.UI.WebControls.Label ContactTelephone;
		protected System.Web.UI.WebControls.Label Learn;
		protected System.Web.UI.WebControls.Label CoverLetter;
		protected System.Web.UI.WebControls.Label Resume;
		protected System.Web.UI.WebControls.Label Photo;
		protected System.Web.UI.WebControls.Label LastName;

		protected System.Web.UI.HtmlControls.HtmlInputFile CoverLetterFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile ResumeFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile PhotoFile;
		protected System.Web.UI.HtmlControls.HtmlInputFile BioFile;
		protected ActorApp actorApp;
		protected string strCoverLetterFileName;
		protected string strResumeFileName;
		protected System.Web.UI.WebControls.Label Bio;
		protected string strPhotoFileName;
		protected string strBioFileName;

		private void Page_Load(object sender, System.EventArgs e)
		{	
			
			actorApp = (ActorApp) Context.Handler;

			//set the uploaded files from form page
			CoverLetterFile = actorApp.getCoverLetterFile();
			ResumeFile = actorApp.getResumeFile();
			PhotoFile = actorApp.getPhotoFile();
			BioFile = actorApp.getBioFile();

			//determine file names to be uploaded
			strCoverLetterFileName = System.IO.Path.GetFileName(CoverLetterFile.PostedFile.FileName);
			strResumeFileName = System.IO.Path.GetFileName(ResumeFile.PostedFile.FileName);
			strPhotoFileName = System.IO.Path.GetFileName(PhotoFile.PostedFile.FileName);
			strBioFileName = System.IO.Path.GetFileName(BioFile.PostedFile.FileName);

			//set the values for all the fields
			FirstName.Text = actorApp.getFirstName();
			LastName.Text = actorApp.getLastName();
			Address.Text = actorApp.getAddress();
			City.Text = actorApp.getCity();
			ProvState.Text = actorApp.getProv();
			Country.Text = actorApp.getCountry();
			PostalZip.Text = actorApp.getPostal();
			Email.Text = actorApp.getEmail();
			SIN.Text = actorApp.getSIN();
			Telephone.Text = actorApp.getTelephone();
			Mobile.Text = actorApp.getMobile();
			Work.Text = actorApp.getWork();
			Fax.Text = actorApp.getFax();
			Smoking.Text = actorApp.getSmoking();
			ContactName.Text = actorApp.getContactName();
			ContactTelephone.Text = actorApp.getContactTelephone();
			Learn.Text = actorApp.getLearn();
			CoverLetter.Text = CoverLetterFile.Value;
			Resume.Text = ResumeFile.Value;
			Photo.Text = PhotoFile.Value;
			Bio.Text = BioFile.Value;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion


	}
}